<template>
  <DropListWrapper
    ref="dragTarget"
    class="group/list flex flex-col flex-nowrap gap-y-6 rounded-xl bg-white px-10 py-8 shadow-[0_10px_30px_rgba(0,0,0,0.1)]"
    :dragging="dragging"
    :list="list"
  >
    <ListHeader :list="list">
      <DragButton
        ref="dragHandle"
        class="absolute -left-9 top-1 h-6 w-6"
      />
    </ListHeader>
    <TaskChildren
      :parent="list"
      class="gap-6"
    />
  </DropListWrapper>
</template>

<script lang="ts" setup>
import { type ITask } from '~entities/tasks';
import { ListHeader, TaskChildren } from '~features/tasks';
import { DragButton } from '~shared/ui';
import { useTaskDraggable, DropListWrapper } from '~entities/tasks';

const props = defineProps<{
  list: ITask;
}>();
const { id } = toRefs(props.list);
const { dragHandle, dragTarget, dragging } = useTaskDraggable(id);
</script>
